#!/usr/bin/env python3

"""
A program that loads one integer and prints the sum of its odd digits.
"""

n = int(input("n = "))

t = n  # We shall work on `t`, so `n` can be used in the output

# Let us get the absolute value of `t`, to avoid problem
# This can also be done as `t = abs(t)`.
if t < 0:
    t = -t

# This variable will hold the sum.
# An extra `_` in the name is to avoid the collision with
# a built-in `sum` function.
sum_ = 0

# Take last digit out of the number and add it to the sum if it's odd.
# Repeat until there are no digits left.
while t > 0:
    last_digit = t % 10
    t //= 10
    if last_digit % 2 == 1:
        sum_ += last_digit

print("The sum of the odd digits in number", n, "is", str(sum_) + ".")
