#!/usr/bin/env python3

"""
A Pythonic solution to Problem 5.
"""

n = int(input("n = "))

# The current maximum sum of odd digits.
# We use -1 to be able to detect when there were no numbers loaded
# (every number has the sum of odd/even digits at least zero).
max_sum = -1

while n != 0:
    # Get the sum of the number's odd digits:
    current_sum = sum(int(d) for d in str(abs(n)) if int(d) % 2)

    # This is not a part of the problem, but we add it to make it easier
    # for students to follow what's going on in the program.
    print("  The sum of the odd digits of " + str(n) + ":", current_sum)

    # Check if this number's sum is the new maximum
    if current_sum > max_sum:
        max_sum = current_sum
        max_n = n

    n = int(input("n = "))

if max_sum < 0:
    print("No numbers were loaded, so there is no maximum.")
else:
    print("The number with the maximum sum of odd digits is:", max_n)

