#!/usr/bin/env python3

"""
A program that inputs integers until it gets a zero and
prints the one with the maximum sum of its odd digits.
"""

n = int(input("n = "))

# The current maximum sum of odd digits.
# We use -1 to be able to detect when there were no numbers loaded
# (every number has the sum of odd/even digits at least zero).
max_sum = -1

while n != 0:
    t = abs(n)  # we shall need `n` later

    # Get the sum of the number's odd digits:
    current_sum = 0
    while t > 0:
        digit = t % 10
        t //= 10
        if digit % 2 == 1:
            current_sum += digit

    # This is not a part of the problem, but we add it to make it easier
    # for students to follow what's going on in the program.
    print("  The sum of the odd digits of " + str(n) + ":", current_sum)

    # Check if this number's sum is the new maximum
    if current_sum > max_sum:
        max_sum = current_sum
        max_n = n

    n = int(input("n = "))

if max_sum < 0:
    print("No numbers were loaded, so there is no maximum.")
else:
    print("The number with the maximum sum of odd digits is:", max_n)

